<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
<xsl:output method="html"/>
<xsl:template match="/">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Language" content="Francais" />
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<title>Projet BaO : extraction de patrons syntaxiques</title>
	<style type="text/css">
<!--debut de la feuille de style-->
body {
font-family: "Calibri", Arial, Verdana, serif;
width: 100%;
}

h1 {
text-align: center;
font-size: 1.6em;
font-variant: small-caps ;
color: #900505 ; 
}

h2 {
font-size: 1.2em;
color: #336699; 
text-indent : 10px;
}

.c2 {
font-size: 14px;
color: #303030; 
text-indent : 10px;
font-weight : bold;
}

.c1 {
font-size: 14px;
color: #303030; 
text-indent : 10px;
font-weight : bold;
font-style: italic;
}

th {
background-color: #EBECED;
}

.td1 {
color: silver;
font-size: 12px;
vertical-align : top;
width: 20%;
}

.td2 {
width: 25%;
text-align: center;
vertical-align : top;
}

.td3 {
width: 25%;
text-align: center;
vertical-align : top;
}

.td4 {
width: 25%;
text-align: center;
vertical-align : top;
}

#page {
background-color:#F9F9F9;
width: 100%;
height: 100%;
padding: 15px;
}

#titre {
margin: auto;
padding-top: 10px;
padding-bottom: 40px;
width: 70%;
height:80px;
background-image: -moz-linear-gradient(top, #EBECED, #F9F9F9);
background-image: -webkit-gradient(linear, left top, left bottom, from(#EBECED), to(#F9F9F9));
filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#EBECED,endColorstr=#F9F9F9);
-ms-filter: "progid:DXImageTransform.Microsoft.gradient(startColorstr=#EBECED,endColorstr=#F9F9F9)";
-moz-border-radius: 5px;
}

#tableau {
width: 100%; 
margin-top: 20px; 
margin-bottom: 20px;
padding-bottom: 20px;
line-height: 1.5em ;
border-collapse: collapse;
}

.nom {
font-size: 14px;
color: #336699; 
}

.adj {
font-size: 14px;
color: #900505;
}

.prep {
font-size: 14px;
color: #336633;
font-weight: bold;
}

.cat {
font-size: 14px;
color: #900505;
font-weight: bold;
margin-left: 5px;
margin-right: 5px;
}

.cointab {
border:1px solid #B0C4DE;
background-color:#E4EFFF;
-moz-border-radius:10px;
-webkit-border-radius:10px;
}

.flou{
background-color: #ccc;
margin-left: 4px;
margin-top: 4px;
float:left;
}
 
.ombre{
position: relative;
bottom: 2px;
right: 2px;
background-color: #666;
}

.gradient2 {
background-image: -moz-linear-gradient(top, #B9B9B9, #F9F9F9);
background-image: -webkit-gradient(linear, left top, left bottom, from(#aaa), to(#ddd));
filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#aaaaaa,endColorstr=#dddddd);
-ms-filter: "progid:DXImageTransform.Microsoft.gradient(startColorstr=#aaaaaa,endColorstr=#dddddd)";
}
<!--fin de la feuille de style-->
</style>
	</head>

<div id="page">
<body>
	<div id="titre">
	<div class="gradient">
	<h1>Extractions de patrons syntaxiques - TreeTagger + Cordial</h1>
	<h2><xsl:value-of select="PARCOURS/RUBRIQUE/@rub"/></h2>
	</div></div>
	
	<div id="tableau">
	<table align="center" width="95%" bordercolor="#B8D1BE">
	<tr bgcolor="#EBECED">
	<th class="td1"><span class="c1">Fichier initial</span></th>
	<th class="td2"><span class="c2">Patron </span><span class="cat">NOM</span> <span class="cat">ADJ</span></th>
	<th class="td3"><span class="c2">Patron </span><span class="cat">ADJ</span> <span class="cat">NOM</span></th>
	<th class="td4"><span class="c2">Patron </span><span class="cat">NOM</span> <span class="cat">PRP</span> <span class="cat">NOM</span></th>
	</tr>
	
	<xsl:apply-templates select="./PARCOURS/RUBRIQUE/ETIQUETAGE"/>
	</table>
	</div>
</body>
</div>
</html>
</xsl:template>

<xsl:template match="ETIQUETAGE">
<tr>
<td class="td1"><i><xsl:value-of select="@fichier"/></i></td>

<td class="td2">
<td><span class="c2">TreeTagger</span><br />
<xsl:for-each select="PHRASE/VERSION[@prog='TreeTagger']/element">
<xsl:choose>
<xsl:when test="(./data[contains(text(),'NOM')]) and (following-sibling::element[1][./data[contains(text(),'ADJ')]])">
<span class="nom"><xsl:value-of select="./data[3]"/></span><xsl:text> </xsl:text>
</xsl:when>
<xsl:when test="(./data[contains(text(),'ADJ')]) and (preceding-sibling::element[1][./data[contains(text(),'NOM')]])">
<span class="adj"><xsl:value-of select="./data[3]"/></span><br/>
</xsl:when>
</xsl:choose>
</xsl:for-each>
</td>
<td><span class="c2">Cordial</span><br />
<xsl:for-each select="PHRASE/VERSION[@prog='Cordial']/element">
<xsl:choose>
<xsl:when test="(./data[contains(text(),'NC')]) and (following-sibling::element[1][./data[contains(text(),'ADJ')]])">
<span class="nom"><xsl:value-of select="./data[3]"/></span><xsl:text> </xsl:text>
</xsl:when>
<xsl:when test="(./data[contains(text(),'ADJ')]) and (preceding-sibling::element[1][./data[contains(text(),'NC')]])">
<span class="adj"><xsl:value-of select="./data[3]"/></span><br/>
</xsl:when>
</xsl:choose>
</xsl:for-each>
</td>
</td>

<td class="td3">
<td><span class="c2">TreeTagger</span><br />
<xsl:for-each select="PHRASE/VERSION[@prog='TreeTagger']/element">
<xsl:choose>
<xsl:when test="(./data[contains(text(),'ADJ')]) and (following-sibling::element[1][./data[contains(text(),'NOM')]])">
<span class="adj"><xsl:value-of select="./data[3]"/></span><xsl:text> </xsl:text>
</xsl:when>
<xsl:when test="(./data[contains(text(),'NOM')]) and (preceding-sibling::element[1][./data[contains(text(),'ADJ')]])">
<span class="nom"><xsl:value-of select="./data[3]"/></span><br/>
</xsl:when>
</xsl:choose>
</xsl:for-each>
</td>
<td><span class="c2">Cordial</span><br />
<xsl:for-each select="PHRASE/VERSION[@prog='Cordial']/element">
<xsl:choose>
<xsl:when test="(./data[contains(text(),'ADJ')]) and (following-sibling::element[1][./data[contains(text(),'NC')]])">
<span class="adj"><xsl:value-of select="./data[3]"/></span><xsl:text> </xsl:text>
</xsl:when>
<xsl:when test="(./data[contains(text(),'NC')]) and (preceding-sibling::element[1][./data[contains(text(),'ADJ')]])">
<span class="nom"><xsl:value-of select="./data[3]"/></span><br/>
</xsl:when>
</xsl:choose>
</xsl:for-each>
</td>
</td>

<td class="td4">
<td><span class="c2">TreeTagger</span><br />
<xsl:for-each select="PHRASE/VERSION[@prog='TreeTagger']/element">
<xsl:if test="(./data[contains(text(),'PRP')]) and (preceding-sibling::element[1][./data[contains(text(),'NOM')]]) and (following-sibling::element[1][./data[contains(text(),'NOM')]])">
<span class="nom"><xsl:value-of select="preceding-sibling::element[1]/data[3]" /></span><xsl:text> </xsl:text>
<span class="prep"><xsl:value-of select="./data[3]" /></span><xsl:text> </xsl:text>
<span class="nom"><xsl:value-of select="following-sibling::element[1]/data[3]" /></span><br />
</xsl:if>
</xsl:for-each>
</td>
<td><span class="c2">Cordial</span><br />
<xsl:for-each select="PHRASE/VERSION[@prog='Cordial']/element">
<xsl:if test="(./data[contains(text(),'PREP')]) and (preceding-sibling::element[1][./data[contains(text(),'NC')]]) and (following-sibling::element[1][./data[contains(text(),'NC')]])">
<span class="nom"><xsl:value-of select="preceding-sibling::element[1]/data[3]" /></span><xsl:text> </xsl:text>
<span class="prep"><xsl:value-of select="./data[3]" /></span><xsl:text> </xsl:text>
<span class="nom"><xsl:value-of select="following-sibling::element[1]/data[3]" /></span><br />
</xsl:if>
</xsl:for-each>
</td>
</td>
</tr>
<br /><br />
</xsl:template>

</xsl:stylesheet>